/*------------------------------------*\
    #HEAD
\*------------------------------------*/
/**
 * This is the page header.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

// Height on large-up screens
$inuit-page-head-height: rem-calc(100px) !default;

// Height on medium-down screens
$inuit-page-head-height-small: rem-calc(80px) !default;

// Logo height needs to be 3/5 of page-head height. 1/5 resembles
// a square in the logo itself. Such a square unit will be used
// as whitespace around the logo.
$inuit-page-head-logo-height: $inuit-page-head-height * .6 !default;
$inuit-page-head-logo-height-small: $inuit-page-head-height-small * .6 !default;

// Width of the logo (SVG) needs to be explicitly set so that the logo
// can always align nicely to the right-hand side of the screen.
$inuit-page-head-logo-width: rem-calc(189.476px) !default;
$inuit-page-head-logo-width-small: $inuit-page-head-logo-width * .5;

$inuit-page-head-transition-duration: $inuit-base-transition-duration !default;


.#{$inuit-namespace}page-head,
%#{$inuit-namespace}page-head {
    background: $frs-color-white;
    height: $inuit-page-head-height-small;
    transform-origin: right top;
    transition: all $inuit-page-head-transition-duration ease-in-out;
    width: 100%;
    z-index: 1000;

    &.fixed {
        box-shadow: 0 6px 8px -6px $frs-color-shadow;
        height: frs-halve($inuit-page-head-height-small);
        left: 0;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 200;

        @media #{$large-up}{
            height: frs-halve($inuit-page-head-height);
        }
    }

    @media #{$large-up}{
        height: $inuit-page-head-height;
    }
}

.#{$inuit-namespace}page-head__title,
%#{$inuit-namespace}page-head__title {
   // @extend %h-text-center;
    margin: 0;
    float: left;
}

.#{$inuit-namespace}page-head__home-link,
%#{$inuit-namespace}page-head__home-link {
    display: inline-block;
    height: auto;
    padding: 0;
    text-align: left;
    width: auto;
    margin-left: $inuit-page-head-logo-height / 6;
    margin-right: $inuit-page-head-logo-height-small / 4;
    margin-top: $inuit-page-head-logo-height-small / 4;

    .fixed & {
        margin-top: $inuit-page-head-logo-height / 6;
        margin-left: 20px;
    //    height: frs-halve($inuit-page-head-height-small);
    //
        @media #{$large-up}{
    //        height: frs-halve($inuit-page-head-height);
            margin-top: $inuit-page-head-logo-height / 6;
        }
    }
    //
    @media #{$large-up}{
    //    height: $inuit-page-head-height;
        margin-top: $inuit-page-head-logo-height / 3;
        margin-left: $inuit-page-head-logo-height / 3;
    }
}

.#{$inuit-namespace}page-head__logo,
%#{$inuit-namespace}page-head__logo {
    display: inline-block;
    height: $inuit-page-head-logo-height-small;
    transform-origin: left top;
    transition: all $inuit-page-head-transition-duration ease-in-out;
    width: $inuit-page-head-logo-width-small;
    @media #{$large-up}{
        height: $inuit-page-head-logo-height;
        width: $inuit-page-head-logo-width;
    }
    &.btg {
        width: 14.573rem;
        @media #{$large-up}{
            height: 3.529rem;
            width: 25.146rem;
            margin-top: 0;
            margin-left: 0;
        }
    }
    .fixed & {
        transform: scale(0.5);
        &.forschung {
            margin-left: -15px;
            margin-top: 0;
            @media #{$large-up}{
                width: 28.545647rem;
                height: 3.9294117647rem;
                margin-left: -2.324rem;
            }
        }
        &.btg {
            width: 19.573rem;
            margin-top: 0;
            margin-left: -15px;
            @media #{$large-up}{
                height: 3.529rem;
                width: 24.146rem;
            }
        }
    }
    @if $theme == "waterrescue" {
        height: 2.724rem;
        width: 8.73rem;
    }
    &.forschung {
        width: 17.545647rem;
        height: 1.97rem;
        margin-left: -3.523529rem;
        margin-top: 0;
        @media #{$large-up}{
            width: 28.545647rem;
            height: 3.9294117647rem;
            margin-left: -3.823529rem;
            margin-top:0;
        }
    }
}


svg.c-donateyoursilence {
    transform: scale(0.4);
    margin-top: 22px;
    margin-left: $inuit-page-head-logo-height / 4;
    margin-right: 4.371rem;
    transform-origin: right top;
    transition: all $inuit-page-head-transition-duration ease-in-out;
    overflow: visible !important;
    float: right;
    @media #{$large-up}{
        transform: scale(1);
        width: 515px;
        height: 50px;
        margin-top: 18px;
        margin-right: 0;
        overflow:hidden;
        float:none;
    }
}
.fixed svg.c-donateyoursilence {
    transform: scale(0.3) !important;
    margin-top: 12px;
    margin-right:3.3rem;
    @media #{$large-up}{
        transform: scale(0.5) !important;
        margin-top: 10px;
        margin-right: 0;
    }
}

@if $theme == "reloaded" {
    .#{$inuit-namespace}page-head,
    %#{$inuit-namespace}page-head {
        position:fixed;
        width: 100%;
        height: 4.25rem;
        left:0;
        right:0;
        margin:0 auto;
        box-shadow: none;
        @include epx-transition (all 300ms ease-in-out 0s);
        z-index: 1000;
        &__home-link {
            margin-top: 0;
        }
        //.c-page-head__logo {
        //}
        &.follow {
            box-shadow: 0 6px 8px -6px $frs-color-shadow;
            height: 3.25rem;
            @media #{$medium-up}{
                height: 6.4rem;
            }
            .c-page-head__home-link {
                margin-top: 0.25rem;
                margin-left: 0.875rem;
            }
            .c-page-head__logo {
                height: 2.625rem;
                width: 4.921125rem;
            }
        }
        @media #{$medium-up}{
            height: 8.5rem;
            .c-page-head__home-link {
                margin-top: 1.875rem;
            }
            .c-page-head__logo {
                height: 4.5rem;
                width: 8.84225rem;
            }
            &.follow {
                .c-page-head__home-link {
                    margin-top:1rem;
                }
                .c-page-head__logo {
                    height: 3.7rem;
                    width: 7.84225rem;
                }
            }
        }
        @media #{$large-up}{
            width:98%;
            max-width: 1920px !important;
            &.follow {
                max-width: none;
            }
        }
        @media #{$xlarge-up}{
            width:80%;
            max-width: 1920px;
        }
        .language-icon {
            display:none;
            @media #{$medium-up}{
                display:inline-block;
            }
        }
    }
    .fixed .c-page-head__logo {
        transform: none;
    }

}
